package com.ai.da.mapper.primary;

import com.ai.da.common.config.mybatis.plus.CommonMapper;
import com.ai.da.mapper.primary.entity.UserFollow;
import com.ai.da.model.vo.AccountFollowVO;

import java.util.List;


public interface UserFollowMapper extends CommonMapper<UserFollow> {
    List<AccountFollowVO> getFolloweeListByFollower(Long followerAccountId, Integer limit, Integer offset, String order);

    List<AccountFollowVO> getFollowerListByFollowee(Long followeeAccountId, Integer limit, Integer offset, String order);

    List<AccountFollowVO> getFolloweeListByName(String name, Long followerId);

    List<AccountFollowVO> getFollowerListByName(String name, Long followeeId);

}
